$.mobile.document

	.on('change', '#filtrogrupoConsig', function(){
		var codgrupo = $('#filtrogrupoConsig').val();
		if(codgrupo != ""){
			$.post('lookups/lkpsubgrupos.php',
				{
					codgrupo: codgrupo
				},
				function(data){
					$("#filtrosubgrupoConsig option").remove();
					$("#filtrosubgrupoConsig").append(data);
					$("#filtrosubgrupoConsig").selectmenu('refresh');
				}
			)
		}
	})

	.on('click', '#limparfiltros', function(){
		$('#filtrofamiliaConsig option').eq(0).prop('selected', true);
		$('#filtrogrupoConsig option').eq(0).prop('selected', true);
		$('#filtrosubgrupoConsig option').eq(0).prop('selected', true);
		$('#filtrovendedorConsig option').eq(0).prop('selected', true);
		$('#filtrocidadeConsig option ').eq(0).prop('selected', true);
		$('#filtroregiaoConsig option ').eq(0).prop('selected', true);
		$('#filtroprodutoConsig').val("");
		$('#codfiltroprodutoConsig').val("");
		$('#filtroclienteConsig').val("");
		$('#codfiltroclienteConsig').val("");
		$('#filtrofamiliaConsig').selectmenu().selectmenu('refresh', true);
		$('#filtrogrupoConsig').selectmenu().selectmenu('refresh', true);
		$('#filtrosubgrupoConsig').selectmenu().selectmenu('refresh', true);
		$('#filtrovendedorConsig').selectmenu().selectmenu('refresh', true);
		$('#filtrocidadeConsig').selectmenu().selectmenu('refresh', true);
		$('#filtroregiaoConsig').selectmenu().selectmenu('refresh', true);
	})
	
	.on('pagecreate', '#filtrosConsig', function() {
		loads();
		geraLkp($("#filtrofamiliaConsig"), 'lookups/lkpfamilias.php');
		geraLkp($("#filtrogrupoConsig"), 'lookups/lkpgrupos.php');
		geraLkp($("#filtrosupervisorConsig"),'lookups/lkpsupervisores.php');
		geraLkp($("#filtrovendedorConsig"), 'lookups/lkpvendedores.php');	
		geraLkp($("#filtroregiaoConsig"), 'lookups/lkpregiao.php');
		geraLkp($("#filtrocidadeConsig"), 'lookups/lkpcidade.php');
		geraAutocomplete('#autocomplete-filtroclienteConsig', 'lookups/lkpclientes.php', '#filtroclienteConsig', '#codfiltroclienteConsig');
		geraAutocomplete('#autocomplete-filtroprodutoConsig', 'lookups/lkpprodutos.php', '#filtroprodutoConsig', '#codfiltroprodutoConsig');
		removes();
	})
	
	; 